Subject: [core] use of ct for discovery

From: Peter van der Stok <[email-masked]>
Date: Thu, 17 Jan 2019 10:13:03 +0100

Hi Core,

Section 7.2.1 of RFC 7252 says:

7.2.1. 'ct' Attribute
This section defines a new Web Linking [RFC5988] attribute for use
with [RFC6690]. The Content-Format code "ct" attribute provides a
hint about the Content-Formats this resource returns.

However, also the request can need a specific content-format.
Should this not be rephrased as:

The Content-Format code "ct" attribute provides a
hint about the Content-Formats this resource returns and receives.

Thanks for a reaction,

Peter

-- 
Peter van der Stok
vanderstok consultancy
mailto: [email-masked], [email-masked]
www: www.vanderstok.org [1]
tel NL: +31(0)492474673     F: +33(0)966015248 

Links:
------
[1] http://www.vanderstok.org

---

From: Carsten Bormann <[email-masked]>
Date: Thu, 17 Jan 2019 13:11:47 +0100

Hi Peter,

On Jan 17, 2019, at 10:13, Peter van der Stok <[email-masked]> wrote:
> 7.2.1. ’ct’ Attribute

We currently don’t have a way for a self-description to say how bodies submitted with a request should look like.  This includes the Content-Format to be used.  So I think the spec says the right thing — this is about the resource retrieved, not about submissions to it.  Besides, if we were muddling up both request and response into one target attribute, how would the client find out which is which?

The work on “forms” in CoRAL will address the issue of describing how to construct the request bodies.

Grüße, Carsten